ChangeSet 1.1010, 2003/03/05 12:07:30-08:00, greg@kroah.com

[PATCH] USB: added support for radio shack device to pl2303 driver.

Thanks to gene_heskett@iolinc.net for the info for this.


 drivers/usb/serial/pl2303.c |    1 +
 drivers/usb/serial/pl2303.h |    3 +++
 2 files changed, 4 insertions(+)


diff -Nru a/drivers/usb/serial/pl2303.c b/drivers/usb/serial/pl2303.c
--- a/drivers/usb/serial/pl2303.c	Thu Mar  6 14:24:30 2003
+++ b/drivers/usb/serial/pl2303.c	Thu Mar  6 14:24:30 2003
@@ -71,6 +71,7 @@
 	{ USB_DEVICE(MA620_VENDOR_ID, MA620_PRODUCT_ID) },
 	{ USB_DEVICE(RATOC_VENDOR_ID, RATOC_PRODUCT_ID) },
 	{ USB_DEVICE(TRIPP_VENDOR_ID, TRIPP_PRODUCT_ID) },
+	{ USB_DEVICE(RADIOSHACK_VENDOR_ID, RADIOSHACK_PRODUCT_ID) },
 	{ }					/* Terminating entry */
 };
 
diff -Nru a/drivers/usb/serial/pl2303.h b/drivers/usb/serial/pl2303.h
--- a/drivers/usb/serial/pl2303.h	Thu Mar  6 14:24:30 2003
+++ b/drivers/usb/serial/pl2303.h	Thu Mar  6 14:24:30 2003
@@ -31,3 +31,6 @@
 
 #define TRIPP_VENDOR_ID		0x2478
 #define TRIPP_PRODUCT_ID	0x2008
+
+#define RADIOSHACK_VENDOR_ID	0x1453
+#define RADIOSHACK_PRODUCT_ID	0x4026
